{% extends "pretixcontrol/base.html" %}
{% load i18n %}
{% load urlreplace %}
{% load bootstrap3 %}
{% block title %}{% trans "Non-shredded events" %}{% endblock %}
{% block content %}
    <h1>{% trans "Non-shredded events" %}</h1>
    <p>{% trans "The list below shows all events you have administrative access to and are not shredded yet. Click on the event name to access event details." %}</p>
    <p>{% trans "Some events shown here may appear to already be shredded. This is because they may have had the via plugin at some point in the past, but disabled it later. Try to re-enable the plugin, then shred again, and see if the problem is resolved." %}</p>
    {% if events|length == 0 and not filter_form.filtered %}
        <div class="empty-collection">
            <p>
                {% blocktrans trimmed %}
                    You currently do not have access to any events that are not shredded.
                {% endblocktrans %}
            </p>
        </div>
    {% else %}
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title">{% trans "Filter" %}</h3>
            </div>
            <form class="panel-body filter-form" action="" method="get">
                <div class="row">
                    <div class="col-md-3 col-sm-6 col-xs-12">
                        {% bootstrap_field filter_form.query %}
                    </div>
                    <div class="col-md-3 col-sm-6 col-xs-12">
                        {% bootstrap_field filter_form.status %}
                    </div>
                    <div class="col-md-3 col-sm-6 col-xs-12">
                        {% bootstrap_field filter_form.date_from %}
                    </div>
                    <div class="col-md-3 col-sm-6 col-xs-12">
                        {% bootstrap_field filter_form.date_until %}
                    </div>
                    <div class="col-md-3 col-sm-6 col-xs-12">
                        {% bootstrap_field filter_form.organizer %}
                    </div>
                    {% for mf in meta_fields %}
                        <div class="col-md-3 col-sm-6 col-xs-12">
                            {% bootstrap_field mf %}
                        </div>
                    {% endfor %}
                </div>
                <div class="text-right">
                    <button class="btn btn-primary btn-lg" type="submit">
                        <span class="fa fa-filter"></span>
                        {% trans "Filter" %}
                    </button>
                </div>
            </form>
        </div>
        <table class="table table-condensed table-hover">
            <thead>
            <tr>
                <th>
                    {% trans "Event name" %}
                </th>
                {% if not hide_orga %}
                    <th>
                        {% trans "Organizer" %}
                        <a href="?{% url_replace request 'ordering' '-organizer' %}"><i class="fa fa-caret-down"></i></a>
                        <a href="?{% url_replace request 'ordering' 'organizer' %}"><i class="fa fa-caret-up"></i></a>
                    </th>
                {% endif %}
                <th>
                    {% trans "Start date" %}
                    <a href="?{% url_replace request 'ordering' '-date_from' %}"><i class="fa fa-caret-down"></i></a>
                    <a href="?{% url_replace request 'ordering' 'date_from' %}"><i class="fa fa-caret-up"></i></a>
                    /
                    {% trans "End date" %}
                    <a href="?{% url_replace request 'ordering' '-date_to' %}"><i class="fa fa-caret-down"></i></a>
                    <a href="?{% url_replace request 'ordering' 'date_to' %}"><i class="fa fa-caret-up"></i></a>
                </th>
                <th>
                    {% trans "Paid tickets per quota" %}
                </th>
                <th>
                    {% trans "Status" %}
                    <a href="?{% url_replace request 'ordering' '-live' %}"><i class="fa fa-caret-down"></i></a>
                    <a href="?{% url_replace request 'ordering' 'live' %}"><i class="fa fa-caret-up"></i></a>
                </th>
                <th class="text-right flip">
                </th>
            </tr>
            </thead>
            <tbody>
            {% for e in events %}
                <tr>
                    <td class="event-name-col">
                        <strong><a href="{% url "control:event.index" organizer=e.organizer.slug event=e.slug %}">{{ e.name }}</a></strong>
                        <br><small>{{ e.slug }}</small>
                        {% for k, v in e.meta_data.items %}
                            {% if v %}
                                <small class="text-muted">&middot; {{ k }}: {{ v }}</small>
                            {% endif %}
                        {% endfor %}
                    </td>
                    {% if not hide_orga %}<td>{{ e.organizer }}</td>{% endif %}
                    <td class="event-date-col">
                        {% if e.has_subevents %}
                            {{ e.min_from|default_if_none:""|date:"SHORT_DATETIME_FORMAT" }}
                        {% else %}
                            {{ e.get_short_date_from_display }}
                        {% endif %}
                        {% if e.has_subevents %}
                            <span class="label label-default">{% trans "Series" %}</span>
                        {% endif %}
                        {% if e.settings.show_date_to and e.date_to %}
                             –<br>
                            {% if e.has_subevents %}
                                {{ e.max_fromto|default_if_none:e.max_from|default_if_none:e.max_to|default_if_none:""|date:"SHORT_DATETIME_FORMAT" }}
                            {% else %}
                                {{ e.get_short_date_to_display }}
                            {% endif %}
                        {% endif %}
                        {% if e.settings.timezone != request.timezone %}
                            <span class="fa fa-globe text-muted" data-toggle="tooltip" title="{{ e.timezone }}"></span>
                        {% endif %}
                    </td>
                    <td>
                        {% for q in e.first_quotas|slice:":3" %}
                            {% include "pretixcontrol/fragment_quota_box_paid.html" with quota=q %}
                        {% endfor %}
                        {% if e.first_quotas|length > 3 %}
                            <a href="{% url "control:event.items.quotas" organizer=e.organizer.slug event=e.slug %}"
                                    class="quotabox-more" data-toggle="tooltip" title="{% trans "More quotas" %}"
                                    data-placement="top">
                                &middot;&middot;&middot;
                            </a>
                        {% endif %}
                    </td>
                    <td>
                        {% if not e.live %}
                            <span class="label label-danger">{% trans "Shop disabled" %}</span>
                        {% elif e.presale_has_ended %}
                            <span class="label label-warning">{% trans "Presale over" %}</span>
                        {% elif not e.presale_is_running %}
                            <span class="label label-warning">{% trans "Presale not started" %}</span>
                        {% else %}
                            <span class="label label-success">{% trans "On sale" %}</span>
                        {% endif %}
                    </td>
                    <td class="text-right flip">
                        <a href="{% url "control:event.dangerzone" organizer=e.organizer.slug event=e.slug %}"
                                class="btn btn-sm btn-default" title="{% trans "Start shredding" %}"
                                data-toggle="tooltip">
                            <span class="fa fa-trash"></span>
                        </a>
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
        {% include "pretixcontrol/pagination.html" %}
    {% endif %}
{% endblock %}
